#version 330 core
//Simple Texture Shader
//FRAGMENT SHADER

//Uniform: Die TexturBitmap
uniform sampler2D color_texture;
uniform float intensity;

//Input: Die UV-Koordinaten
in vec2 texCoord;

//Einzige Out-Variable ist die Farbe
layout (location = 0) out vec4 fragColor;
layout (location = 1) out vec4 brightColor;

void main() {
	fragColor = vec4(texture(color_texture, texCoord).rgb, 1);
	fragColor.x = fragColor.x * intensity;
	fragColor.y = fragColor.y * intensity;
	fragColor.z = fragColor.z * intensity;
	brightColor = vec4(0,0,0,1);
}
