#version 330 core
//Simple Texture Shader
//VERTEX SHADER

//Input: Die untransformierte Position
in vec3 position;
//Input: Die UV-Koordinaten
in vec2 uv;

//Output in gl_Position (default)
//Output: Die UV-Koordinaten
out vec2 texCoord;

//Model-Matrix
uniform mat4 model;
//ViewProjection-Matrix
uniform mat4 view_proj;

void main() {
	gl_Position = view_proj * model * vec4(position, 1);
	texCoord = uv;
}