#version 330 core

in vec4 FragPos;

uniform float opacity;
uniform vec3 lightPos;
#define FAR_PLANE 80.0f

void main() {
	if (opacity < 1) {
		discard;
		return;
	}
	float lightDistance = distance(FragPos.xyz, lightPos);
	lightDistance = lightDistance / FAR_PLANE;
	gl_FragDepth = lightDistance;

}