#version 330 core
//Single Color Shader
//VERTEX SHADER

//Input: Die untransformierte Position
in vec3 position;

//Output in gl_Position (default)

//Uniform: Die Farbe
uniform vec3 color;
//Model-Matrix
uniform mat4 model;
//ViewProjection-Matrix
uniform mat4 view_proj;

void main() {
	gl_Position = view_proj * model * vec4(position, 1);
}